Operations

List project monitors

Lists monitors only when the API key belongs to the requested organization, grants access to the requested project, and includes the monitors:read scope.

GET /organizations/{organizationId}/projects/{projectId}/monitors

List project monitors

curl --request GET \
  --url 'https://api.ansehn.com/v1/organizations/{ORGANIZATIONID}/projects/{PROJECTID}/monitors' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "<string>",
      "projectId": "<string>",
      "name": "<string>",
      "status": "<string>",
      "ansehnsScore": 1,
      "mentionsCount": 1,
      "citationsCount": 1,
      "createdAt": "<date-time>",
      "updatedAt": "<date-time>"
    }
  ]
}

Tenant-scoped project monitors.

Authorizations

  • Authorization string required header

    Bearer token provided by Ansehn. Send it in the Authorization header using the format: Bearer .

Path Parameters

  • organizationId string required
  • projectId string required

Response

application/json
  • data[] object array
    + Show Child Attributes
    • id string
    • projectId string
    • name string
    • status string
    • ansehnsScore integer
    • mentionsCount integer
    • citationsCount integer
    • createdAt string (date-time)
    • updatedAt string (date-time)